# Contributing to Plex Media Player

:+1::tada: First off, thanks for taking the time to contribute! :tada::+1:

The following is a set of guidelines for contributing to Plex Media Player.

#### 1 - Read the Plex CLA

Before commiting, you will need to read the CLA which can be found in our [wiki](https://github.com/plexinc/plex-media-player/wiki/Contributor-License-Agreement#individual-agreement)

Your commit message should include a sign off to confirm you've accepted the CLA by ending the commit with:

> Plex-CLA-1.0-signed-off-by: Your Name  <your.name@email.com>

#### 2 - General Guidelines

There are a few things you should verify before submitting a PR to Plex Media Player.

 - Commit messages should be clear and start with the topic being addressed. An example would be: *topic : description*. ie *player : what it fixes* ...
 - Take time to write a clear and understandable commit message description. Most of the time the commit title is not enough to describe the patch and why it's required. Think of the fact that Plex Media Player is running on multiple platforms and that there are other context than your.
 - Ensure that the patch you're submitting does not break other platforms. For instance if you are making a patch that is specific to MacOS, it shouldn't impact Windows or Linux builds.
 - Respect the coding convention currently used, whilst we have no detailed documentation to cover the coding style you can make sure your patch matches the existing conventions.
 
#### 3 - Merge process
 - Once you've submitted the Pull Request to the repo, please be patient. It will be reviewed by multiple members of Plex who will reply with comments.
 - Once the change has been verified, it will be merged once all PR comments have been addressed.

